#import <Cocoa/Cocoa.h>

@interface NSAppleScript (NSAppleScript_ext)
- (id) initWithContentsOfFile:(NSString*) file error:(NSDictionary **)errorInfo;
+ (id) executeScript:(NSString*)script;
- (id) executeSubroutine:(NSString*)name withArgs:(id)arg, ...;
- (id) executeSubroutine:(NSString*)name error:(NSDictionary**)error withArgs:(id)arg, ...;
@end
